/*
******************************************************************

CSS for navigation

(c) sinntun.codes
******************************************************************
*/

/*****************************************************************
*********** Navigation (Nav1))
******************************************************************/

.nav1 {
  display: flex;
  gap: 5px;
  margin-top: 8px;
  flex-wrap: wrap;
}
.nav1-item {
  float: none;
  display: flex;
}

.nav1-item:not(:last-child)::after {
  content: ',';
  font-size: 24px;
  color: var(--color-black);
  line-height: 21px;
}

.nav1-link {
  display: inline-block;
}

.nav1-link span {
  font-size: 24px;
  line-height: 21px;
  color: var(--color-60);
}
.nav1-link.active span,
.nav1-link:hover span {
  color: var(--color-black);
}
.nav1-link-last {
  position: relative;
  z-index: 2000;
}
li.has-subnav:hover > .nav1-link span {
  border-bottom: 10px solid #5f5f5f;
}

/*****************************************************************
*********** Navigation (Nav1 with Nav2 Dropdown)
******************************************************************/

.nav2dropdown {
  background-color: #fff;
  display: none;
  min-width: 180px;
  margin-left: 4px;
  padding: 0;
  position: absolute;
  z-index: 9999;
}
.nav2dropdown span {
  color: #1e4231;
}

.nav2dropdown li {
  font-size: 20px;
  border-bottom: 5px solid #5f5f5f;
  padding-top: 5px;
  padding-bottom: 5px;
  padding-left: 5px;
}

li.has-subnav:hover > ul.nav2dropdown {
  display: block;
}

/*****************************************************************
*********** Navigation (Nav2))
******************************************************************/

.nav2 {
  display: flex;
  gap: 5px;
  margin-top: 8px;
  flex-wrap: wrap;
}

.nav2-item {
  float: none;
  display: flex;
}

.nav2-item:not(:last-child)::after {
  content: ',';
  font-size: 24px;
  color: var(--color-black);
  line-height: 21px;
}

.nav2-link {
  display: inline-block;
}

.nav2-link span {
  font-size: 24px;
  line-height: 21px;
  color: var(--color-60);
}
.nav2-link.active span,
.nav2-link:hover span {
  color: var(--color-black);
}
.nav2-link-last {
  position: relative;
  z-index: 2000;
}

/*****************************************************************
*********** Navigation Meta
******************************************************************/

#meta-navigation {
  float: right;
  margin-right: 80px;
  display: none;
}

#meta-navigation .nav-meta-item {
  display: inline-block;
  margin-right: 5px;
}

#meta-navigation .nav-meta-link {
  display: inline-block;
}

/*****************************************************************
*********** Navigation Footer
******************************************************************/

.nav-footer {
  width: auto;
  height: auto;
  overflow: hidden;
  list-style: none !important;
}

.nav-footer-item {
  width: auto;
  height: auto;
  float: none;
  margin-right: 0;
}

.nav-footer-link {
  font-size: 18px;
  line-height: 22px;
  color: #fff;
}

.nav-footer-link span {
  color: #fff;
}

/*****************************************************************
*********** Lang-Selector
******************************************************************/

.lang-selector {
  float: right;
  width: 270px;
}

.lang-selector-item {
  display: block;
  float: right;
}

.lang-selector-link {
  display: inline-block;
  padding: 10px;
}

.lang-selector-link:hover {
  padding: 10px;
}

.lang-selector-link.lang-de::before {
  content: " ";
  display: inline-block;
  position: relative;
  background: url("/_images/flagge-de.png") no-repeat;
  width: 25px;
  height: 15px;
  background-size: 100% auto;
  margin-right: 7px;
  margin-top: 3px;
}

.lang-selector-link.lang-en::before {
  content: " ";
  display: inline-block;
  position: relative;
  background: url("/_images/flagge-gb.png") no-repeat;
  width: 25px;
  height: 15px;
  background-size: 100% auto;
  margin-right: 7px;
  margin-top: 3px;
}
